Name:		mdvsys
Version:	2.3.0
Release:	%mkrel 5
Summary:	Interface to Mandriva build system
License:	GPL
Group:		Development/Perl
Source0:	%{name}-%{version}.tar.gz
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/%{name}
BuildRequires: subversion-tools
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(IO::String)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(RPM)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Youri::Package::RPM::Updater)
BuildRequires: perl(Youri::Package::RPM::Builder)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl-version
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Pod)
Requires: perl(Youri::Package) >= 0.2.2
Requires: perl-Youri-Package >= 0.2.2
Requires: perl(Youri::Package::RPM)
Requires: perl(Youri::Package::RPM::Updater)
Requires: perl(Youri::Package::RPM::Builder)
Requires: perl(HTML::TableExtract)
Requires: perl(IO::String)
# (tv) lazy loaded (thus runtime error):
Requires: perl(Net::LDAP)
Requires: mdv-youri-core
Obsoletes: perl-MDV-Repsys
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is an interface to Mandriva build system.

%prep
%setup -q

%build
%configure2_5x
%make

%check
%make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README
%{_sysconfdir}/bash_completion.d/mdvsys
%config(noreplace) %{_sysconfdir}/mdvsys.conf
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/mdvsys


%changelog
* Mon Mar 21 2011 Funda Wang <fwang@mandriva.org> 2.3.0-5mdv2011.0
+ Revision: 647236
- require perl-Youri-Package also

* Tue Mar 15 2011 Funda Wang <fwang@mandriva.org> 2.3.0-4
+ Revision: 644941
- actually mdv-youri-core is required

* Mon Feb 28 2011 Funda Wang <fwang@mandriva.org> 2.3.0-3
+ Revision: 640786
- rebuild to obsolete old packages

* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 2.3.0-2
+ Revision: 634738
- bump youri requires

* Mon Jan 31 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.0-1
+ Revision: 634565
- new version

* Mon Jan 31 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.2.0-3
+ Revision: 634546
- disable test suite for now to get package built
- add missing dependency on perl(Youri::Package::RPM)
- merge rpm5 branch

* Wed Aug 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.0-1mdv2011.0
+ Revision: 571090
- new version
- mdvsys doesn't need repsys (again)

  + Thierry Vignaud <tv@mandriva.org>
    - require repsys (else dynamic failure about missing /etc/repsys.conf

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-1mdv2010.1
+ Revision: 468603
- new version
- renaming
- we don't need repsys, we just need a working configuration
- ensure bash completion file installation
- renaming

* Thu Nov 19 2009 Thierry Vignaud <tv@mandriva.org> 2.0.6-2mdv2010.1
+ Revision: 467442
- fix build (adjusting file list)
- require perl-ldap (thus fixing runtime error when lazy loading Net::LDAP)

* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.6-1mdv2010.0
+ Revision: 399811
- new version

* Wed Jun 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.5-3mdv2010.0
+ Revision: 384827
- yet another dependancy fix

* Mon Apr 13 2009 Michael Scherer <misc@mandriva.org> 2.0.5-2mdv2009.1
+ Revision: 366842
- fix missing Deps, as pointed by reinouts on irc

* Mon Jan 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.5-1mdv2009.1
+ Revision: 331177
- new version

* Sun Jan 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-1mdv2009.1
+ Revision: 330890
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-3mdv2009.0
+ Revision: 201979
- fix deps

* Sun Feb 24 2008 Olivier Blin <oblin@mandriva.com> 2.0.3-2mdv2008.1
+ Revision: 174316
- explicitely require Youri::Package::RPM::Updater and Youri::Package::RPM::Builder (not automatically caught by perl.req)

* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2008.1
+ Revision: 169414
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Thierry Vignaud <tv@mandriva.org> 2.0.2-2mdv2008.1
+ Revision: 110970
- rebuild for lzma permissions

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 104505
- new version

* Wed Sep 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 93039
- new version
  drop useless test dependencies

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1mdv2008.0
+ Revision: 90602
- fix deps

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

